Bug 112233 - sudo quits after asking for the password, returning error code 255
sudo quits after asking for the password, returning error code 255
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: sudo (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 10:25 EST by Ralf Ertzinger
Modified: 2007-04-18 13:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.6.7p5-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-18 04:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2003-12-16 10:25:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When running any sudo command, sudo just quits after asking for the
password. Error code 255 is returned, no other error messages (console
or logfiles).
sudo-1.6.7p5-5 worked fine, the sudo config remained unchanged.

Version-Release number of selected component (if applicable):
sudo-1.6.7p5-6

How reproducible:
Always

Steps to Reproduce:
1. Try running any allowed command via sudo
2.
3.
    

Actual Results:  sudo just drops back to the shell

Expected Results:  Execution of command

Additional info:

This might be related to the new selinux features in sudo, so this may
be a bug in libselinux, too.

Working config:
sudo-1.6.7p5-5, libselinux 1.4-1

Not working:
sudo-1.6.7p5-6, libselinux-1.4-2
Comment 1 Kaj J. Niemi 2003-12-16 11:34:09 EST
Sudo actually complains it's not root (although /usr/bin/sudo is owned
by 0:0 and is suid)

Problem continues in sudo-1.6.7p5-7.
Comment 2 Greg Kroah-Hartman 2003-12-16 14:18:04 EST
This release also does not work for me :(
Comment 3 Enrico Scholz 2003-12-16 23:27:06 EST
ltrace shows

| open(NULL, 2, 00)                                             = -1

which causes sudo to fail. This happens in the new

| +       fd = open(ttyn,O_RDWR);                                    
                                  

where 'ttyn' gets initialized in the  'if( is_selinux_enabled() )'
case only.
Comment 4 Aleksey Nogin 2003-12-17 05:34:48 EST
Seeing this too - sudo-1.6.7p5-7, libselinux-1.4-3 on x86_64 (AMD Opteron)
Comment 5 Aleksey Nogin 2003-12-18 04:30:24 EST
WFM with sudo-1.6.7p5-9

Note You need to log in before you can comment on or make changes to this bug.